/**
 * Copyright (C) 2003-2004-2005 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 */

package sync4j.syncclient.demo;

import java.awt.BorderLayout;
import java.awt.Button;
import java.awt.Frame;
import java.awt.GridLayout;
import java.awt.Image;
import java.awt.Label;
import java.awt.Panel;
import java.awt.Toolkit;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.WindowEvent;
import java.awt.event.WindowListener;

/**
 * The about window.
 *
 * @author Fabio Maggi @ Funambol
 * @author Alessandro Morandi, Giorgio Orsi
 * @version $Id: About.java,v 1.10 2004/11/09 08:23:13 fabius Exp $
 */
public class About
extends Frame
implements
ActionListener,
WindowListener,
ConfigurationParameters {

    //---------------------------------------------------------- Constants

    //---------------------------------------------------------- Private data

    //
    // The window containing this panel
    //
    private MainWindow  mw = null                           ;

    private Language    ln = new Language()                 ;

    //---------------------------------------------------------- Public methods

    public About(MainWindow mw) {

        super    ();
        setTitle (ln.getString("about_funambol"));

        Image icon = Toolkit.getDefaultToolkit().getImage(FRAME_ICONNAME);

        setIconImage(icon);

        Label           lb1       = null ;
        Label           lb2       = null ;
        Label           lb3       = null ;
        Label           lb4       = null ;

        Button          butOk     = null ;
        Panel           textPanel = null ;

        this.mw = mw;

        setSize     (300, 150 ) ;
        setLocation (400, 200 ) ;
        setLayout(new BorderLayout());

        lb1 = new Label(""                                , Label.CENTER ) ;
        lb2 = new Label(ln.getString ("sync_client_pim" ) , Label.CENTER ) ;
        lb3 = new Label(ln.getString ("copyright"       ) , Label.CENTER ) ;
        lb4 = new Label(ln.getString ("copyright_url"   ) , Label.CENTER ) ;

        butOk = new Button       (ln.getString ("ok" ) ) ;
        butOk.setActionCommand   ("ok" ) ;
        butOk.addActionListener  (this ) ;

        textPanel = new Panel();
        textPanel.setLayout(new GridLayout(4,1));

        textPanel.add (lb1 ) ;
        textPanel.add (lb2 ) ;
        textPanel.add (lb3 ) ;
        textPanel.add (lb4 ) ;

        add(textPanel , BorderLayout.CENTER ) ;
        add(butOk     , BorderLayout.SOUTH  ) ;

        addWindowListener(this);
    }

    public void actionPerformed(ActionEvent evt) {

        if (evt.getActionCommand().equals("ok")) {
               mw.setEnabled(true);
               hide();
        }

    }

    public void windowClosing(WindowEvent evt) {
        mw.setEnabled(true);
        hide();
    }

    public void windowActivated   (WindowEvent e) {}

    public void windowClosed      (WindowEvent e) {}

    public void windowDeactivated (WindowEvent e) {}

    public void windowDeiconified (WindowEvent e) {}

    public void windowIconified   (WindowEvent e) {}

    public void windowOpened      (WindowEvent e) {}

    //---------------------------------------------------------- Private methods

}